低危 dbus:DBusServer DBUS_COOKIE_SHA1身份验证绕过

CVE编号

CVE-2019-12749

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-06-12
漏洞描述
在1.10.28之前的dbus,在1.12.16之前的1.12.x和在1.13.12之前的1.13.x,在Ubuntu 14.04中的Canonical Upstart中的DBusServer中使用(以及一些不常见的,使用dbus-daemon),允许cookie由于在libdbus库中DBUS_COOKIE_SHA1的参考实现中的符号链接错误处理而导致欺骗。 (这仅影响DBUS_COOKIE_SHA1身份验证机制。)对其自己的主目录具有写访问权限的恶意客户端可以操作〜/ .dbus-keyrings符号链接,以使具有不同uid的DBusServer在非预期位置进行读写。在最坏的情况下,这可能导致DBusServer重用恶意客户端已知的cookie,并将该cookie视为后续客户端连接来自攻击者选择的uid的证据,允许身份验证绕过。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://gitlab.freedesktop.org/dbus/dbus/commit/47b1a4c41004bf494b87370987b222c934b19016
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop dbus * Up to
(excluding)
1.10.28
运行在以下环境
应用 freedesktop dbus * From
(including)
1.12.0
Up to
(excluding)
1.12.16
运行在以下环境
应用 freedesktop dbus * From
(including)
1.13.0
Up to
(excluding)
1.13.12
运行在以下环境
系统 alibaba_cloud_linux_2.1903 dbus * Up to
(excluding)
1.10.24-15.1.al7
运行在以下环境
系统 alpine_3.10 dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 alpine_3.11 dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 alpine_3.12 dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 alpine_3.13 dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 alpine_3.14 dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 alpine_3.15 dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 alpine_3.7 dbus * Up to
(excluding)
1.10.28-r0
运行在以下环境
系统 alpine_3.8 dbus * Up to
(excluding)
1.10.28-r0
运行在以下环境
系统 alpine_3.9 dbus * Up to
(excluding)
1.10.28-r0
运行在以下环境
系统 alpine_edge dbus * Up to
(excluding)
1.12.16-r0
运行在以下环境
系统 amazon_AMI dbus * Up to
(excluding)
1.6.12-14.29.amzn1
运行在以下环境
系统 centos_6 dbus * Up to
(excluding)
1.2.24-11.el6_10
运行在以下环境
系统 centos_8 dbus * Up to
(excluding)
1.12.8-9.el8
运行在以下环境
系统 debian_8 dbus * Up to
(excluding)
1.8.22-0+deb8u2
运行在以下环境
系统 debian_9 dbus * Up to
(excluding)
1.10.28-0+deb9u1
运行在以下环境
系统 fedora_30 dbus * Up to
(excluding)
1.12.16-1.fc30
运行在以下环境
系统 opensuse_Leap_15.0 dbus * Up to
(excluding)
1.12.2-lp150.2.4.2
运行在以下环境
系统 opensuse_Leap_15.1 dbus * Up to
(excluding)
1.12.2-lp151.4.3.1
运行在以下环境
系统 oracle_6 dbus * Up to
(excluding)
1.2.24-11.0.1.el6_10
运行在以下环境
系统 oracle_7 dbus * Up to
(excluding)
1.10.24-15.0.1.el7
运行在以下环境
系统 oracle_8 dbus * Up to
(excluding)
1.12.8-9.0.1.el8
运行在以下环境
系统 redhat_8 dbus * Up to
(excluding)
1.12.8-9.el8
运行在以下环境
系统 suse_12_SP4 dbus * Up to
(excluding)
1.8.22-29.17.12
运行在以下环境
系统 suse_12_SP5 dbus * Up to
(excluding)
1-3-32bit-1.8.22-11.3.1
运行在以下环境
系统 ubuntu_14.04 dbus * Up to
(excluding)
1.6.18-0ubuntu4.5+esm1
运行在以下环境
系统 ubuntu_16.04 dbus * Up to
(excluding)
1.10.6-1ubuntu3.4
运行在以下环境
系统 ubuntu_18.04 dbus * Up to
(excluding)
1.12.2-1ubuntu1.1
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-59 在文件访问前对链接解析不恰当(链接跟随)
阿里云安全产品覆盖情况